---
title: PannerNode.orientationY
slug: Web/API/PannerNode/orientationY
tags:
  - API
  - PannerNode
  - Property
  - Reference
  - Web Audio API
  - orientationY
---
<p>{{ APIRef("Web Audio API") }}</p>

<div>
<p>The <strong><code>orientationY</code></strong> property of the {{ domxref("PannerNode") }} interface indicates the Y (vertical) component of the direction the audio source is facing, in 3D Cartesian coordinate space.</p>

<p>The complete vector is defined by the position of the audio source, given as ({{domxref("PannerNode.positionX", "positionX")}}, {{domxref("PannerNode.positionY", "positionY")}}, {{domxref("PannerNode.positionZ", "positionZ")}}), and the orientation of the audio source (that is, the direction in which it's facing), given as ({{domxref("PannerNode.orientationX", "orientationX")}}, {{domxref("PannerNode.orientationY", "orientationY")}}, {{domxref("PannerNode.orientationZ", "orientationZ")}}).</p>

<p>Depending on the directionality of the sound (as specified using the attributes {{domxref("PannerNode.coneInnerAngle", "coneInnerAngle")}}, {{domxref("PannerNode.coneOuterAngle", "coneOuterAngle")}}, and {{domxref("PannerNode.coneOuterGain", "codeOuterGain")}}), the orientation of the sound may alter the perceived volume of the sound as it's being played. If the sound is pointing toward the listener, it will be louder than if the sound is pointed away from the listener.</p>

<p>The {{domxref("AudioParam")}} contained by this property is read only; however, you can still change the value of the parameter by assigning a new value to its {{domxref("AudioParam.value")}} property.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>orientationY</em> = <em>PannerNode</em>.orientationY;

<em>PannerNode</em>.orientationY.value = <em>newOrientationY</em>;
</pre>

<h3 id="Value">Value</h3>

<p>An {{domxref("AudioParam")}} whose <code>value</code> is the Y component of the direction the audio source is facing, in 3D Cartesian coordinate space.</p>

<h2 id="Example">Example</h2>

<p>{{page("/en-US/docs/Web/API/PannerNode/orientationX","Example")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#dom-pannernode-orientationy', 'orientationY')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.PannerNode.orientationY")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
 <li><a href="/en-US/docs/Web/API/Web_Audio_API/Web_audio_spatialization_basics">Web Audio spatialisation basics</a></li>
 <li>{{domxref("PannerNode")}}</li>
</ul>
